%global debug_package %{nil}

Name:           cointop
Version:        1.6.2
Release:        1%{?dist}
Summary:        Fastest & most interactive terminal based UI app for tracking cryptocurrencies

License:        ASLv2 and MIT
URL:            https://github.com/miguelmota/cointop
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  git
BuildRequires:  go-md2man
BuildRequires:  golang >= 1.12
#BuildRequires:  pkgconfig(alsa)

%description
cointop is a fast and lightweight interactive terminal based UI application for
tracking and monitoring cryptocurrency coin stats in real-time.

The interface is inspired by htop and shortcut keys are inspired by vim.


%prep
%autosetup -p1


%build
go get ./...
go build -o %{_builddir}/%{name}-%{version}/_build/%{name}


%install
install -Dp -m0755 _build/%{name} %{buildroot}%{_bindir}/%{name}

# Build the man page
go-md2man -in README.md -out %{name}.1
install -Dm0644 %{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/*


%changelog
* Sun Feb 21 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.2-1
- build(update): 1.6.2

* Sun May 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.6-1
- Update to 1.4.6

* Mon Nov 18 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.1-1
- Update to 1.4.1

* Sat Oct 05 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.6-1
- Initial package
